/**
* Xelfi programming environment
*/

package xelfi.util;
/**
* Interface to compare two objects
*
* @version 1.0
* @author Jaroslav Tulach
*/

public interface BinaryTreeCompare {
  /** first object is less than second */
  public static final byte LESS = -1;
  /** both objects are equal */
  public static final byte EQUAL = 0;
  /** first is greater */
  public static final byte GREATER = 1;
  
  /** function to compare objects 
  * @param first first object to compare
  * @param second second object to compare 
  * @return one of previous constants
  */
  public byte compare (Object first, Object second);
};


