/**
* Xelfi
*/

package xelfi.design.components.property;

import java.io.*;
import xelfi.util.Debug;

/**
 *
 * @version 	1.10, 08 Feb 1996
 * @author 	Petr Hamernik, Ian Formanek
 */

public class XCharacterPropertyType {
	public static String viewString(Object property) { 
		return ((Character)property).toString(); 
	}

	public static void saveToStream(Object property, DataOutput stream) throws IOException {
		stream.writeChar(((Character)property).charValue());
		Debug.debug(Debug.PROPIO_SAVE, "XCharacterProperty saved: ["+((Character)property).charValue()+"]");
	}

	public static Character loadFromStream(DataInput stream) throws IOException {
		char property = stream.readChar();
		Debug.debug(Debug.PROPIO_LOAD, "XCharacterProperty loaded: ["+property+"]");
		return new Character(property);
	}
}
