/**
* Xelfi programming environment
*/

package xelfi.editor;
/**
* The base index.
* 
*
* @version 1.0
* @author Jaroslav Tulach
*/

abstract class IndexBase extends Object {
  /** Gets the line that this index belongs to
  * @return the line
  */
  abstract Line getLine ();

  /** the next index. The next field of the last position is null. */
  Index next;
};

