/** Column layout manager properties
* @author: Filip Dvorak
* @version: 1.0
*/

package xelfi.top.visual;

import java.awt.*;

public class ColLayoutProperties extends LayoutPropertiesBase
{
  public ColLayoutProperties()
  {
    super();
  }

  public ColLayoutProperties(Insets i)
  {
    super(i);
  }

  public ColLayoutProperties(float componentGrowth)
  {
    super(componentGrowth);
  }

  public ColLayoutProperties(Insets i, float componentGrowth)
  {
    super(i, componentGrowth);
  }

  public ColLayoutProperties(float componentGrowth, float leftGrowth, float rightGrowth)
  {
    this(componentGrowth);
    leftSpaceGrowth = leftGrowth;
    rightSpaceGrowth = rightGrowth;
  }

  public ColLayoutProperties(Insets i, float componentGrowth, float leftGrowth, float rightGrowth)
  {
    this(i, componentGrowth);
    leftSpaceGrowth = leftGrowth;
    rightSpaceGrowth = rightGrowth;
  }
}
