/**
* Xelfi
*/

package xelfi.util;

/**
* Interface which must be implemented by class which wants to be notified about results of
* message box which it shows.
* @version 	1.00, 06 Apr 1997
* @author 		Ian Formanek
*/

public interface MessageBoxListener {
	/**
	* This method is called when user presses some button in message Box. 
	* @param message 	code of pressed button as defined in class MessageBox
	* @see MessageBox
	*/
	public void messageNotify(int message);
}

